Beefy Boxes and Bandwidth Generously Provided by pair Networks
more useful options
 
PerlMonks  

comment on

( #3333=superdoc: print w/replies, xml ) Need Help??
Good Day, Monks --

I am attempting to install the module XML::LibXML in my work environment, and it keeps failing because the version of libxml2.so it (Perl itself?) was compiled against is different from the one in the runtime environment.

Here is the failure text:

# Failed test 'LIBXML__VERSION == LIBXML_RUNTIME_VERSION' # at t/01basic.t line 18. # got: '20706' # expected: '20900' # DO NOT REPORT THIS FAILURE: Your setup of library paths is incorrect +! # # # Compiled against libxml2 version: 20706 # Running libxml2 version: 20900

2.7.6 is what is resident in /usr/lib64 ... 2.9.0 is in /usr/local/lib. I queried our systems folks about this and they asked me whether I could remove /usr/local/lib from my runtime environment.

I tried removing /usr/local/lib from the LD_LIBRARY_PATH environment variable, but that seems to have not done the trick -- I get the same error. Is there another way to do this, e.g. hide /usr/local/lib?

Now that I've typed this I realize it isn't exactly a Perl question! It's more of a systems question.

I thought briefly that I should reinstall Perl in case this 2.9.0 version of libxml2 was installed since I put the Perl in place the first time ... but ... I'm doing this on a 64bit machine: shouldn't Perl default to compiling against the 64bit library (I'm a bit out of my element)?

If there is no way around this I guess I can use --force to get the module installed, but I always hesitate to do so although I have never suffered any deleterious effects.

Thanks,

GB


In reply to two versions of libxml2 causing module to fail install by chexmix

Title:
Use:  <p> text here (a paragraph) </p>
and:  <code> code here </code>
to format your post; it's "PerlMonks-approved HTML":



  • Are you posting in the right place? Check out Where do I post X? to know for sure.
  • Posts may use any of the Perl Monks Approved HTML tags. Currently these include the following:
    <code> <a> <b> <big> <blockquote> <br /> <dd> <dl> <dt> <em> <font> <h1> <h2> <h3> <h4> <h5> <h6> <hr /> <i> <li> <nbsp> <ol> <p> <small> <strike> <strong> <sub> <sup> <table> <td> <th> <tr> <tt> <u> <ul>
  • Snippets of code should be wrapped in <code> tags not <pre> tags. In fact, <pre> tags should generally be avoided. If they must be used, extreme care should be taken to ensure that their contents do not have long lines (<70 chars), in order to prevent horizontal scrolling (and possible janitor intervention).
  • Want more info? How to link or How to display code and escape characters are good places to start.
Log In?
Username:
Password:

What's my password?
Create A New User
Domain Nodelet?
Chatterbox?
and the web crawler heard nothing...

How do I use this? | Other CB clients
Other Users?
Others rifling through the Monastery: (4)
As of 2022-12-02 07:56 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?
    Notices?